
// 汎用開閉処理
$(function() {
	$('.openclose').next().hide();
	$('.openclose').click(function() {
		$(this).next().slideToggle();
		$('.openclose').not(this).next().slideUp();
	});
});

//メニューがham(X印)を持つかどうかにより、メニューを表示するか、見えなくするか。
function db() {
	if($('#search_hdr').hasClass('ham')) {
		$('#search').addClass('db');
	} else {
		$('#search').removeClass('db');
	}
}

//虫眼鏡アイコンをクリックした際の処理
$(function() {
	$('#search_hdr').click(function() {
		$('#search_hdr').toggleClass('ham');
		db();
	});
});

// キャンセルを押した際の処理
$(function() {
	$('#search .cancel').click(function() {
		$('#search').removeClass('db');
		$('#search_hdr').removeClass('ham');
	});
});
